import 'package:flutter/material.dart';

import '../../../../core.dart';

class BackGroundWidget extends StatelessWidget {
  const BackGroundWidget({super.key, required this.gradient, required this.vecPath});

  final Gradient gradient;
  final String vecPath;

  @override
  Widget build(BuildContext context) {
    return Container(
      width: Get.width,
      height: Get.height,
      decoration: BoxDecoration(gradient: gradient),
      child: SvgGenImage.vec(vecPath).svg(fit: BoxFit.cover),
    );
  }
}
